Bug 255461 - Review Request: purple-plugin_pack - A set of plugins for libpurple, pidgin, and finch
Review Request: purple-plugin_pack - A set of plugins for libpurple, pidgin, ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
: 302041 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-26 16:59 EDT by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 07:13:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Update to 2.2.0 (1.21 KB, patch)
2007-11-03 14:57 EDT, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Description Ignacio Vazquez-Abrams 2007-08-26 16:59:40 EDT
Spec URL: http://ivazquez.fedorapeople.org/packages/pidgin-plugin_pack/pidgin-plugin_pack.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/pidgin-plugin_pack/pidgin-plugin_pack-2.1.1-1.fc7.src.rpm
Description: This is a set of plugins designed to be used with the pidgin IM/IRC client.
Comment 1 Michel Alexandre Salim 2007-09-23 02:00:52 EDT
*** Bug 302041 has been marked as a duplicate of this bug. ***
Comment 2 Michel Alexandre Salim 2007-09-23 02:10:14 EDT
Did not notice this until I submitted my review request. I'll review this instead.

Two points: would you consider splitting the package up? upstream has
purple-plugin_pack and pidgin-plugin_pack; the former is usable from, e.g Finch
(I  looked and there is no Finch-only plugin right now)

- Missing BR on gtkspell-devel

- Chopping off xmms is a good idea, but in your spec nobody owns
%{_datadir}/pixmaps/pidgin/plugin_pack . Add that as %dir in the main package?
Would get annoying once other plugins start putting files there, I suppose.
Comment 3 manuel wolfshant 2007-09-23 19:24:27 EDT
I have a small sugegstion: could please add a few more details about what
plugins are included and/or what are they good for ? Or at least include the
"Plugins in the Plugin Pack" list taken from the pluginpack wiki page as a
separate file and reference this file in %Description.
I am a heavy gaim/pidgin user and even after looking at the spec of this
package, I would have no idea why would I want to install these plugins. Having
to go to the sourceURL to look for details is .. hum.. not practical. In other
words, I would appreciate if "yum info" would be more informative.
Comment 4 Ignacio Vazquez-Abrams 2007-10-04 07:21:41 EDT
Updated. Will remove the BR on diffutils once the whole buildsystem issue is
cleared up.

http://ivazquez.fedorapeople.org/packages/purple-plugin_pack/purple-plugin_pack.spec
http://ivazquez.fedorapeople.org/packages/purple-plugin_pack/purple-plugin_pack-2.1.1-1.src.rpm
Comment 5 Michel Alexandre Salim 2007-11-03 14:57:51 EDT
Created attachment 247421 [details]
Update to 2.2.0
Comment 6 Michel Alexandre Salim 2007-11-03 14:58:57 EDT
APPROVED

please update to 2.2.0 (%description and %files sections need to be updated as
auto-rejoin is now part of pidgin proper)

Comment 7 Ignacio Vazquez-Abrams 2007-11-09 01:43:55 EST
Will update before importing.

New Package CVS Request
=======================
Package Name: purple-plugin_pack
Short Description: A set of plugins for libpurple, pidgin, and finch
Owners: ivazquez
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-11-10 15:22:10 EST
cvs done.

(I wonder if it would be worthwhile for this package to also Provide
'purple-plugin-pack' to prevent confusion with the _ for people trying to
install it? )
Comment 9 Ignacio Vazquez-Abrams 2007-11-10 20:08:53 EST
I'm not averse to this idea, so if no one advises against I'll implement this
upon import.
Comment 10 Michel Alexandre Salim 2007-11-14 20:23:01 EST
Ignacio, have you started the build yet? It's not showing up on Koji

(ps let me know if you want a comaintainer)
Comment 11 Ignacio Vazquez-Abrams 2007-11-15 07:49:28 EST
I've just been distracted as of late, no worries.
Comment 12 Ignacio Vazquez-Abrams 2007-11-16 07:13:28 EST
Built on F-7, F-8, and devel, and pushed.

Note You need to log in before you can comment on or make changes to this bug.